#!/usr/bin/env python

''' Utility to scan my mailbox for new mesages from Logwatch on systems and then
	grab useful info from the message and output a summary page.

	by Brian C. Lane <bcl@brianlane.com>
'''
import os, sys, imaplib, rfc822, re, StringIO

server  ='mail.brianlane.com'
username='yourusername'
password='yourpassword'

M = imaplib.IMAP4_SSL(server)
M.login(username, password)
M.select()
typ, data = M.search(None, '(UNSEEN SUBJECT "Logwatch")')
for num in data[0].split():
	typ, data = M.fetch(num, '(RFC822)')
#	print 'Message %s\n%s\n' % (num, data[0][1])

	match = re.search(	"^(Users logging in.*?)^\w",
	 					data[0][1],
	 					re.MULTILINE|re.DOTALL )
	if match:
		file = StringIO.StringIO(data[0][1])
		message = rfc822.Message(file)
		print message['from']
		print match.group(1).strip()
		print '----'

M.close()
M.logout()
